#
# spec file for package python-feedzilla
#
# Copyright (c) 2015 SUSE LINUX GmbH, Nuernberg, Germany.
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via http://bugs.opensuse.org/
#


Name:           python-feedzilla
Version:        0.24
Release:        lp151.2.2
Url:            http://bitbucket.org/lorien/feedzilla
Summary:        Django application for atom/rss feeds aggregation
License:        BSD-3-Clause
Group:          Development/Languages/Python
Source:         https://pypi.python.org/packages/source/f/feedzilla/feedzilla-%{version}.tar.gz
BuildRoot:      %{_tmppath}/%{name}-%{version}-build
BuildRequires:  fdupes
BuildRequires:  python-devel
BuildRequires:  python-setuptools
Requires:       python-django
%if 0%{?suse_version} && 0%{?suse_version} <= 1110
%{!?python_sitelib: %global python_sitelib %(python -c "from distutils.sysconfig import get_python_lib; print get_python_lib()")}
%else
BuildArch:      noarch
%endif

%description
Django application for atom/rss feeds aggregation i.e. planet engine.

%prep
%setup -q -n feedzilla-%{version}

%build
python setup.py build

%install
python setup.py install --prefix=%{_prefix} --root=%{buildroot}
rm -r %{buildroot}%{python_sitelib}/demo
%fdupes %{buildroot}/%{_prefix}
%find_lang django %{name}.lang

%files -f %{name}.lang
%defattr(-,root,root,-)
%doc README.rst
%{python_sitelib}/*

%changelog
* Tue May  5 2015 benoit.monin@gmx.fr
- update to version 0.24:
  * no changelog available
- add back fdupes as BuildRequires and call it after removing
  the demo
- use find_lang to tag the translation files
* Mon Oct 21 2013 speilicke@suse.com
- Drop fdupes breaking build
* Wed Oct  9 2013 speilicke@suse.com
- Don't install demo module
- Package README.rst
* Sun Sep 29 2013 p.drouand@gmail.com
- Update to version 0.22
  + No changelog available
- Use download url as source
- Add fdupes BuildRequires to remove duplicate python libraries
* Tue Feb 12 2013 alexandre@exatati.com.br
- Update to 0.1.21:
  - Sorry, no changelog atm.
* Fri Mar 23 2012 alexandre@exatati.com.br
- Update to 0.1.20:
  - Sorry, no changelog atm.
* Wed Dec 28 2011 alexandre@exatati.com.br
- Standard in spec file.
* Fri Dec  9 2011 coolo@suse.com
- fix license to be in spdx.org format
* Wed Aug 31 2011 saschpe@suse.de
- Smaller spec cleanup
- Require python-django
* Sun Jul 17 2011 alexandre@exatati.com.br
- Update to 0.1.19:
  - Sorry, no changelog.
* Wed Apr 13 2011 alexandre@exatati.com.br
- Update to 0.1.17:
  - Sorry, no changelog.
* Sat Apr  9 2011 alexandre@exatati.com.br
- Update to 0.1.16.
* Mon Mar 28 2011 alexandre@exatati.com.br
- Update to 0.1.15.
* Sun Mar 20 2011 alexandre@exatati.com.br
- Update to 0.1.14.
* Sat Mar 19 2011 alexandre@exatati.com.br
- Update to 0.1.11.
* Wed Mar 16 2011 alexandre@exatati.com.br
- Update to 0.1.10.
* Wed Mar 16 2011 alexandre@exatati.com.br
- Update to 0.1.9.
* Mon Mar 14 2011 alexandre@exatati.com.br
- Update to 0.1.8.
* Sun Mar 13 2011 alexandre@exatati.com.br
- Update to 0.1.7.
* Fri Mar 11 2011 alexandre@exatati.com.br
- Update to 1.6.0;
- Regenerated spec file with py2pack;
- Bzip2 source file;
- Add README file as documentation.
* Sat May  8 2010 alexandre@exatati.com.br
- Initial version (1.5.0) for openSUSE.
